#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QSerialPort>
#include <QSerialPortInfo>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_getCh0Freq();
    void on_getCh0Pha();
    void on_getCh0AMP();
    void on_getCh1Freq();
    void on_getCh1Pha();
    void on_getCh1AMP();
    void on_INTR();
    void on_CH0_EN();
    void on_CH1_ON();
    void on_changeEdit7();
    void on_connectDevice();
    void on_getFclk();
    void on_CH0_OF();
    void on_CH1_OF();
    void on_buttonSync();

private:
    Ui::MainWindow *ui;
    QSerialPort *serialPort;
    quint64 CH0_Fword;
    qint64 CH1_Fword;
    qint64 CH0_Pword;
    qint64 CH1_Pword;
    qint64 CH0_Aword;
    qint64 CH1_Aword;

    void initSerialPortList();
    void initBaudRateList();
};
#endif // MAINWINDOW_H
